Community College of Rhode Island

Go to 50th Anniversary website

Get Adobe Reader

*PDF files require Adobe Acrobat Reader to view - Download here

Blackboard Computer/Browser/Plug In Requirements

Hardware and software specifications for Blackboard 9.1 SP12

   Minimum Requirements:

  • 512M of RAM
  • Sound card with speakers
  • Ethernet or Wireless card
  • Internet Access

Blackboard 9.1 supported browsers and operating systems:

  • Certified - fully tested and supported
  • Compatible - partially tested, but should function properly
Windows
Operating System Internet Explorer 10 Internet Explorer 9 Internet Explorer 8 Firefox
(Final Release Channel)
Chrome
(Stable Channel)
Windows XP (32bit) -- -- Compatible Certified Compatible
Windows Vista (32 bit) -- Certified Compatible Certified Compatible
Window Vista (64 bit) -- Compatible Compatible Certified Compatible
Windows 7 (32 bit) Compatible
Certified Compatible Certified Certified
Windows 7 (64 bit) Certified Certified Compatible Certified Certified
Windows 8 (32 bit) Compatible -- -- Certified Certified
Windows 8 (64 bit) Certified -- -- Certified Certified

Mac
Operating System Safari 6.0.1 Safari 5.1 Safari 5.0 Safari 4.0 Firefox
(Final Release Channel)
Chrome
(Stable Channel)
MAC OSX 10.6 -- Certified Certified Compatible Certified Certified
MAC OSX 10.7 Certified (10.7.5) Certified -- Unsupported Certified Certified
MAC OSX 10.8 Certified (10.8.2) Certified -- Unsupported Certified Certified

Note:

The Firefox Release Channel is the fully tested version by Mozilla and intended to be the most stable. This channel is updated roughly every six weeks.

The Chrome Stable Channel is the fully tested version by Google and intended to be the most stable as the name implies. This channel is updated roughly every 2-3 weeks for minor releases and 6 weeks for major releases.

The following technologies are not supported:
- Internet Explorer 6 and 7
- Firefox 1.x, 2.0, 3.0, 3.5 and 3.6
- Safari 2.0, 3.x and any version on Windows
- Windows XP 64bit
- Mac OSX 10.3, 10.4, 10.5
- Java 5, although it may continue to work

Browser Settings Guide:

Plug-ins:

  • Adobe Reader
  • Adobe Flash Player
  • Java Runtime: JRE (Java Runtime Environment) is not required for users to access and interact with the Learn platform with the exception of the following features and tools: 1) Learn collaboration tools virtual classroom and chat 2) Multiple-file uploads 
  • Quicktime (Optional)
  • Windows Media Player Plugin (Optional)
    • Windows Users
      • Internet Explorer (Already installed) 
      • Firefox
      • Chrome (Not supported)
    • Mac Users
      • Install Flip4Mac Free, click here for instruction

Accessibility

  • Blackboard strives to make all its products as accessible as possible. Blackboard measures and evaluates accessibility using two sets of standards: the WCAG 2.0 standards issued by the World Wide Web Consortium (W3C) and Section 508 of the Rehabilitation Act issued in the Untied States federal government.
  • JAWS 13 and 14 for Windows were used during accessibility testing.

Go to top of page

This page developed and maintained by Information Technology. Send comments and suggestions to .


Last Updated: 2/14/14